org.eclipse.draw2d.graph

## Class NodeList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - org.eclipse.draw2d.graph.NodeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  Rank

    public class NodeList
    extends java.util.ArrayList

A list containing nodes.

Since:
  2.1.2
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`NodeList()` Constructs an empty NodeList.
`NodeList(NodeList list)` Constructs a NodeList with the elements from the specified list.

### Method Summary

Methods
`Node` `getNode(int index)` Returns the Node at the given index.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### NodeList

    public NodeList()

Constructs an empty NodeList.

#### NodeList

    public NodeList(NodeList list)

Constructs a NodeList with the elements from the specified list.

Parameters:
  `list` - the list whose elements are to be added to this list

### Method Detail

#### getNode

    public Node getNode(int index)

Returns the Node at the given index.

Parameters:
  `index` - the index
Returns:
  the node at a given index